Package pyxmpp :: Module interfaces :: Class IMessageHandlersProvider

[hide private]

# Class IMessageHandlersProvider

source code

    zope.interface.Interface --+
                               |
                   IPyXMPPHelper --+
                                   |
                                  IMessageHandlersProvider

Known Subclasses:
  - IStanzaHandlersProvider

Instance Methods | [hide private]

get_message_handlers() Returns iterable over (message_type, handler[, namespace[, priority]]) tuples. | source code

Class Variables | [hide private]

| _InterfaceClass__attrs = ``{``'``get_message_handlers``'``:` <zope.interf`...``
| __bases__ = ``(`<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>`)``
| __identifier__ = ``'``pyxmpp.interfaces.IMessageHandlersProvider``'``
| __iro__ = ``(`<InterfaceClass pyxmpp.interfaces.IMessageHandlersP`...``
| __name__ = ``'``IMessageHandlersProvider``'``
| __sro__ = ``(`<InterfaceClass pyxmpp.interfaces.IMessageHandlersP`...``
| _implied = ``{`<InterfaceClass pyxmpp.interfaces.IMessageHandlers`...``
| dependents = `<WeakKeyDictionary at 141764780>`
Inherited from `zope.interface.Interface` (private): `_Element__tagged_values`

Method Details | [hide private]

### get_message_handlers()

source code

Returns iterable over (message_type, handler[, namespace[, priority]]) tuples.

The tuples will be used as arguments for `Stream.set_message_handler`.

Class Variable Details | [hide private]

### _InterfaceClass__attrs

Value:

      {'get_message_handlers': <zope.interface.interface.Method object at 0x
      873292c>}

### __iro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IMessageHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### __sro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IMessageHandlersProvider>,
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### _implied

Value:

      {<InterfaceClass pyxmpp.interfaces.IMessageHandlersProvider>: (),
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>: (),
       <InterfaceClass zope.interface.Interface>: ()}